apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-db
  labels:
    app.kubernetes.io/name: {{ include "h2.name" . }}
    helm.sh/chart: {{ include "h2.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: 1521
      targetPort: 1521
      protocol: TCP
      name: "h2-service-port"
  selector:
    app.kubernetes.io/name: {{ include "h2.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
